import { MockMethod } from 'vite-plugin-mock';
import { mock, Random } from 'mockjs';
import { resultPageSuccess } from '../_util';
Random.extend({
  phone: function () {
    const phonePrefixs = ['132', '135', '189']; // 自己写前缀哈
    return this.pick(phonePrefixs) + mock(/\d{8}/); //Number()
  },
});
// console.log(Random.phone());
// 生成 1 - 10 个 随机手机号码

const demoList = (() => {
  const result: any[] = [];
  for (let index = 0; index < 200; index++) {
    result.push({
      id: `${index}`,
      name: '@ctitle(5,15)',
      cover: `@image('313x200', '@color', 'demo封面')`,
      link: `https://zfb.4dkankan.com/smobile.html?m=@string( 'lower/number',5,10)`,
      createTime: '@datetime',
      isShow: '@boolean(1, 9, true)',
    });
  }
  return result;
})();

export default [
  {
    url: '/basic-api/zfb/scene/list',
    timeout: 1000,
    method: 'get',
    response: ({ query }) => {
      const { page = 1, pageSize = 20 } = query;
      return resultPageSuccess(page, pageSize, demoList);
    },
  },
] as MockMethod[];
